import { RuntimeServerAction, SubmitValue } from '@oinone/kunlun-engine';
import { ClickResult } from '../../typing';
import { ServerActionWidget } from '../server-actions';
export declare class BatchUpdateAction extends ServerActionWidget {
    get disabled(): boolean;
    protected submit(action: RuntimeServerAction): Promise<SubmitValue>;
    protected executeAction(action: RuntimeServerAction, submitValue: SubmitValue): Promise<ClickResult>;
}
